Skip to main content
GET
/
customers
/
{uuid}
/
wallets
List customer wallets
curl --request GET \
  --url https://{subdomain}.truust.io/2.0/customers/{uuid}/wallets \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{subdomain}.truust.io/2.0/customers/{uuid}/wallets"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{subdomain}.truust.io/2.0/customers/{uuid}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": 123,
      "self": "<string>",
      "uuid": "<string>",
      "type": "<string>",
      "balance": 250,
      "currency": "EUR",
      "tag": "<string>",
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "connections": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Path Parameters

uuid
string
required

Customer UUID.

Response

200 - application/json

List of wallets

data
object[]